libzypp 17.37.10

zypp::Signature Class Reference

`#include <zypp/Signature.h>`

## Public Member Functions
| Signature ()
| ~Signature ()
std::ostream & | dumpOn (std::ostream &str) const
| Overload to realize stream output.

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Signature &obj)
| Stream output.

## Detailed Description

Definition at line 18 of file Signature.h.

## Constructor & Destructor Documentation

## ◆ Signature()

zypp::Signature::Signature | ( |  | ) |

Definition at line 18 of file Signature.cc.

## ◆ ~Signature()

zypp::Signature::~Signature | ( |  | ) |

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::Signature::dumpOn | ( | std::ostream & | str | ) | const

Overload to realize stream output.

Definition at line 23 of file Signature.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Signature & | obj )
| related

Stream output.

Definition at line 31 of file Signature.h.

The documentation for this class was generated from the following files:

- zypp/Signature.h
- zypp/Signature.cc